import type { FooterProps } from './FooterTypes';
import type { IconsProps } from './IconsTypes';
import { JSX as JSX_2 } from 'react/jsx-runtime';
import { default as React_2 } from 'react';

export declare const Button: React_2.ForwardRefExoticComponent<{
    onClick?: React_2.MouseEventHandler<HTMLButtonElement> | undefined;
    disabled?: boolean | undefined;
    kind?: "dark" | "light" | undefined;
    fullWidth?: boolean | undefined;
    className?: string | undefined;
    slim?: boolean | undefined;
    type?: "button" | "submit" | "reset" | undefined;
    raw?: boolean | undefined;
} & {
    children?: React_2.ReactNode;
} & React_2.ButtonHTMLAttributes<HTMLButtonElement> & React_2.RefAttributes<HTMLButtonElement>>;

export declare const ButtonIcon: React_2.ForwardRefExoticComponent<{
    label?: string | undefined;
    children: React_2.ReactNode;
} & {
    onClick?: React_2.MouseEventHandler<HTMLButtonElement> | undefined;
    disabled?: boolean | undefined;
    kind?: "dark" | "light" | undefined;
    fullWidth?: boolean | undefined;
    className?: string | undefined;
    slim?: boolean | undefined;
    type?: "button" | "submit" | "reset" | undefined;
    raw?: boolean | undefined;
} & {
    children?: React_2.ReactNode;
} & React_2.ButtonHTMLAttributes<HTMLButtonElement> & React_2.RefAttributes<HTMLButtonElement>>;

export declare const ButtonLink: React_2.ForwardRefExoticComponent<{
    children?: React_2.ReactNode;
    link?: string | undefined;
    target?: string | undefined;
    maxLabelLength?: number | undefined;
} & {
    onClick?: React_2.MouseEventHandler<HTMLButtonElement> | undefined;
    disabled?: boolean | undefined;
    kind?: "dark" | "light" | undefined;
    fullWidth?: boolean | undefined;
    className?: string | undefined;
    slim?: boolean | undefined;
    type?: "button" | "submit" | "reset" | undefined;
    raw?: boolean | undefined;
} & {
    children?: React_2.ReactNode;
} & React_2.ButtonHTMLAttributes<HTMLButtonElement> & React_2.RefAttributes<HTMLAnchorElement>>;

export declare const Footer: ({ className, row1, row2, noPaddings, }: FooterProps) => JSX_2.Element;

export declare const IconClose: ({ className, viewBox, spacing, ...rest }: IconsProps) => JSX_2.Element;

export declare const IconCopied: ({ className, viewBox, spacing, ...rest }: IconsProps) => JSX_2.Element;

export declare const IconCopy: ({ className, viewBox, spacing, ...rest }: IconsProps) => JSX_2.Element;

export declare const IconDelete: ({ className, viewBox, spacing, ...rest }: IconsProps) => JSX_2.Element;

export declare const IconDog: ({ className, viewBox, spacing, ...rest }: IconsProps) => JSX_2.Element;

export declare const IconDogInShield: ({ className, viewBox, spacing, ...rest }: IconsProps) => JSX_2.Element;

export declare const IconEdit: ({ className, viewBox, spacing, ...rest }: IconsProps) => JSX_2.Element;

export declare const IconRestore: ({ className, viewBox, spacing, ...rest }: IconsProps) => JSX_2.Element;

export declare const IconSettings: ({ className, viewBox, spacing, ...rest }: IconsProps) => JSX_2.Element;

export declare const IconUser: ({ className, viewBox, spacing, ...rest }: IconsProps) => JSX_2.Element;

export { }
